#ifndef FILEPOLYNOMUTILS_H
#define FILEPOLYNOMUTILS_H

#include <string.h>
#include <stdio.h>
#include <math.h>
#include "monomial.h"

int stringToInt (char * s);
bool isNumber(char c);
bool isVar(char c);
bool isSquare(char c);
bool isSpace(char c);
bool isAdd(char c);
long double evaluatePolynom(FILE * f,double x,double y);
monomial evaluatePolynomX(FILE * f,double x);
monomial evaluatePolynomY(FILE * f,double y);
char * getGraphLine(FILE *f);
double stringToDouble (char * s);

#endif // FILEPOLYNOMUTILS_H
